@charset "utf-8";



html {
/* desactive zoom si horiz */
    font-size: 100%;
    text-size-adjust: none;
    -webkit-text-size-adjust: none;
    -ms-text-size-adjust: none;
    -moz-text-size-adjust: none;
}

body {
    background-color: lavender;
    color: #222;
    font-family: system-ui, sans-serif;
    text-wrap: pretty;
}

* {
    margin: 0;
    overflow-x: hidden;
    padding: 0;
}

a {
    color: #0063DC;
    font-weight: 400;
    text-decoration: none;
    }
    a:hover {
    cursor: pointer;
}

button {
    background-color: transparent;
    border: none;
    cursor: pointer;
    }

    button:hover {
    animation: bounce 0.2s 2;
    }

    @keyframes bounce {
    0%, 100% {transform: translateY(0);}
    50% {transform: translateY(-8px);}
}

header, nav, section, aside, footer {
    position: relative;
    z-index: 100;
}

h1, h2, h3 {
    color: #000;
    font-family: 'Bodoni MT', 'Bodoni 72', 'Goudy Old Style', 'Big Caslon', Baskerville, serif;
    font-weight: normal;
}

h1, h2 {
    font-size: 2rem;
}

h3 {
    font-size: 1.6rem;
    font-style: italic;
    margin: 0 50px 10px 50px;
}  





/* COVER ____________________________ */

.divcover {
    height: 100vh;
    left: 0;
    position: fixed;
    right: 0;
    z-index: 10;
}

.imgcoverbleu {
    height: 100%;
    object-fit: cover;
    object-position: center;
    position: absolute;
    width: 100%;
}

.imgcoververt {
    animation: fonv 20s linear infinite;
    animation-delay: 1s;
    height: 100%;
    object-fit: cover;
    object-position: center;
    opacity: 0;
    position: absolute;
    width: 100%;
    }

    @keyframes fonv {
      0% {opacity: 0;}
      4% {opacity: 0;}
      8% {opacity: 1;}
     54% {opacity: 1;}
     58% {opacity: 0;}
    100% {opacity: 0;}
}



/* LOGO ___________________________ */

.divlogo {
    position: relative;     
    top: 0;
    left: 0;
    height: 100vh;
    text-align: center;
    right: 0;
    z-index: 100;
}

.logo {
    height: auto;
    max-width: 500px;
    width: 30%;
}

.divhead {
    bottom: 0;
    height: auto;
    position: absolute;
    padding: 8px;
}



/* MENUS TOP __________________________ */

.divtopgauche {
    height: auto;
    left: 5px;
    position: fixed;
    top: 25px;
    width: auto;
    z-index: 150;
}

.divtopdroit {
    height: auto;
    position: absolute;
    right: 5px;
    top: 25px;
    width: auto;
    z-index: 151;
}

.img-icones {
    height: auto;
    margin-bottom: 10px;
    width: 32px;
}



/* BLOCS _______________________________ */

.divarticle {
    margin: 0 50px 60px 50px;
}



/* FONDS BG ____________________________ */

.fondclair {
    background-color: #fafaff;
}
.fondmoyen {
    background-color: #eeeeff;
}
.fondflou {
    background-color: #fff8;
    backdrop-filter: blur(8px);
        -webkit-backdrop-filter: blur(8px);
}



/* IMG_________________________________ */

.img1col {
    float: left;
    height: auto;
    margin: 6px 4% 10px 0;
    width: 16%;
}

.img2col {
    float: right;
    height: auto;
    margin: 6px 0 10px 5%;
    pointer-events: none;
    width: 37%;
}

.img3col {
    float: left;
    height: auto;
    margin: 6px 5% 10px 0;
    pointer-events: none;
    width: 58%;
}

.img5col {
    height: auto;
    margin: 0 0 10px 0;
    width: 100%;
}

.imgbloem {
    height: auto;
    margin: auto;
    width: 120px;
}



/* TXT _______________________________ */

.txt-normal {
    font-size: 1.2rem;
    font-stretch: semi-condensed;
    font-weight: 300;
    line-height: 1.4;
}

.txt-petit {
    font-size: 0.8rem;
    font-stretch: semi-condensed;
    font-weight: 300;
}

.txt-hand {
    color: #000;
    font-family: Chalkboard, 'Marker Felt', 'Chalkboard SE', 'Comic Sans Ms', 'Comic Sans', 'Bradley Hand', system-ui;
    font-size: 1.4rem;
    font-style: italic;
    font-weight: bold;
}

.txt-mega {
    color: #0063DC;
    font-size: 2rem;
    font-weight: bold;
}

.rose {
    color: #FF0084;
}



/* GRAND MENU PRINCIPAL ____________ */ 

.flexcontainer {
    align-items: flex-start;
    align-content: flex-start;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    margin: 0 50px 60px 50px;
    overflow: auto;
}

.flexcontainer div {
    background-color: #fff;
    border: 1px solid #555;
    border-radius: 10px;
    height: auto;
    margin: 8px;
    padding: 8px;
    width: auto;
}



/* VILLAS ____________________________ */

.divvillas {
    height: auto;
    margin: 0 0 90px 0;
    position: relative;
}

.imgvillas {
    height: auto;
    pointer-events: none;
    width: 100%;
}



/* DIVERS __________________________ */

.aumilieu {
    text-align: center;
}

.visibleyesno {
    display: none;
}

.dividemin {
    height: 60px;
}

.dividemid {
    height: 90px;
}

.dividebig {
    height: 200px;
}

.tiretgris {
    color: #aaa;
    font-weight: 200;
}



/* SOS _________________________________ */

.divrouge {
    background-color: red;
    border-radius: 50%;
    height: 50px;
    margin: auto;
    margin-bottom: 20px;
    outline: red 2px solid;
    outline-offset: 4px;
    width: 50px;
}

.lecteur {
    opacity: 0;
}





/* COMPARE _____________________________ */

.divcompare {
    aspect-ratio: 2/1;
    height: auto;
    margin: 0 0 60px 0;
    overflow: hidden;
    position: relative;
        --value: 50%;
}

.compare__left, .compare__right {
    height: 100%;
    object-fit: cover;
    object-position: center;
    position: absolute;
    width: 100%;
}

.compare__left {
    clip-path: polygon(0% 0%, var(--value) 0%, var(--value) 100%, 0% 100%);
}

.compare__right {
    clip-path: polygon(100% 0%, var(--value) 0%, var(--value) 100%, 100% 100%);
}

.compare__range {
    appearance: none;
    background-color: transparent;
    color: #000;
    cursor: ew-resize;
    height: 100%;
    opacity: 0;
    position: relative;
    width: 100%;
}

.main {
    height: auto;
    left: 48%;
    mix-blend-mode: darken;
    pointer-events: none;
    position: absolute;
    top: 48%;
    width: 4%;
    z-index: 222;
}



/* HORLOGE________________________________ */

#clock {
    color: #ffd;
    font-family: monospace;
    font-size: 1.4vw;
    left: 3.8%;
    position: absolute;
    text-shadow: 3px 3px 20px #0F0, -3px -3px 20px #0F0, -3px 3px 20px #0F0, 3px -3px 20px #0F0;
    text-align: center;
    top: 21.3%;
    width: 8%;
    z-index: 111;
}



/* MOULIN _______________________________ */

.moulin {
    animation: mou 0.6s linear infinite;
    bottom: 15%;
    height: auto;
    left: 17%;
    position: absolute;
    width: 7%;
    z-index: 111;
    }

    @keyframes mou {
    100% {transform: rotate(-360deg);}
}



/* HALO NUC CHEMINEE______________________ */

.fire {
    animation: feu 6s linear infinite;
    background-image: url(../webp-pictos/noise3.webp), url(../webp-pictos/noise4.webp);
    background-size: 400px 400px;
    background-blend-mode: overlay, difference;
    border-radius: 50%;
    filter: blur(20px);
        -webkit-backdrop-filter: blur(20px);
    height: 52%;
    left: 73%;
    opacity: 0.7;
    position: absolute;
    top: 0;
    width: 5%;
    z-index: 122;
    }

    @keyframes feu {
    100% {background-position: -400px -400px, 400px -400px;}
}



/* HALO NUC CHEMINEE______________________ */

.cheminee {
    animation: fum 4s linear infinite;
    background-image: url(../webp-pictos/smoke1.webp), url(../webp-pictos/smoke2.webp);
    background-size: 200px 200px;
    background-blend-mode: multiply, difference;
    border-radius: 50%;
    filter: blur(10px);
    height: 41%;
    left: 88%;
    position: absolute;
    top: 0;
    width: 2%;
    z-index: 122;
    }

    @keyframes fum {
    100% {background-position: -200px -200px, 200px -200px;}
}



/* sparkles _______________________ */

.sparks {
    animation: spk .2s linear infinite;
    height: auto;
    left: 67%;
    position: absolute;
    top: 54.5%;
    transform-origin: center;
    width: 50px;
    z-index: 111;
    }

    @keyframes spk {
    100% {transform: scale(2) rotate(45deg);}
}



/* WEBCAM _________________________ */

.divwebcam {
    aspect-ratio: 5/2;
    margin: 0 50px 60px 50px;
    position: relative;
}

.divdufond {
    width: 200%;
    height: 100%;
    animation: pano 16s ease infinite;
    background-image: url(../webp-autres/webcam-fond.webp);
    background-repeat: no-repeat;
    background-size: auto 100%;
    }

    @keyframes pano {
      0% {transform: translateX(0);}
     40% {transform: translateX(-30%);}
     50% {transform: translateX(-30%);}
     90% {transform: translateX(0);}
    100% {transform: translateX(0);}
}



/* PLUIE _________________________ */

.rain {
    position : absolute;
    top: 0; right: 0; bottom: 0; left: 0;
    background:url("../webp-autres/pluie.webp") repeat 0px 0px;
    animation: dropFlowParticles 0.25s linear infinite;
    mix-blend-mode: screen;
    opacity: 0.4;
    }

    @keyframes dropFlowParticles {
    from { background-position: 0 0; }
    to { background-position: 0 225px; }
}





/* PHONE PADS VERTIC ____________________ */

@media screen and (orientation: portrait) {

.logo {
    width: 80%;
}

.img1col, .img2col {
    width: 47.5%;
}

.img3col {
    width: 100%;
}

}



/* XL ____________________________________ */

@media screen and (min-width: 1024px) {

html {
    font-size: 115%;
}

body {
    color: #777;
}
h3 {
    margin: 0 15% 10px 15%;
}

.logo {
    width: 40%;
}

.img-icones {
    width: 40px;
}

.divhead {
    padding: 10px 15% 10px 15%;
}

.divvillas, .divcompare {
    margin: 0 50px 60px 50px;
}

.flexcontainer, .divarticle, .divwebcam {
    margin: 0 15% 60px 15%;
}

.visibleyesno {
    display: block;
}

.txt-normal {
    font-stretch: semi-expanded;
    line-height: 1.6;
}

}



/* XXL ____________________________________ */

@media screen and (min-width: 1400px) {

html {
    font-size: 130%;
}

}



